<template>
  <view class="container">
    <mp-html :content="content" class="mar_t50"></mp-html>
  </view>
</template>

<script>
let app = getApp();
var appEv = app.$vm.$options;
import { post } from "@/request/api.js";
import mpHtml from "@/uni_modules/mp-html/components/mp-html/mp-html.vue"
export default {
  data() {
    return {
      content: "",
      type: 5,
    };
  },
  onLoad(option) {
    if (option.type == 1) {
      this.type = 18;
    } else if (option.type == 2) {
      this.type = 19;
    } else if (option.type == 3) {
      this.type = 21;
    } else if (option.type == 4) {
      this.type = 22;
    } else if (option.type == 5) {
      this.type = 23;
      uni.setNavigationBarTitle({
        title: "兑换协议",
      });
    }else if(option.type == 6){
      this.type = 20;
      uni.setNavigationBarTitle({
        title: "天天捡漏协议",
      });
    }
    this.loadData();
  },
  methods: {
    loadData() {
      let data = {
        type: this.type,
      };
      post("v1/my/article", data).then((res) => {
        if (res.code == 0) {
          this.content = res.data.data.content;
        }
      });
    },
  },
  components: {
    mpHtml,
  },
};
</script>

<style lang="scss" scoped>
// 用户须知
.container {
  border-top: 20rpx solid #f5f5f5;
  padding: 0 20rpx;
  box-sizing: border-box;
}
// 用户须知-end
</style>
